IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network100.98.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
- Network address
100.98.0.0- Broadcast address
100.98.255.255- First usable
100.98.0.1- Last usable
100.98.255.254- Usable hosts
- 65,534 (65,536 less the network and broadcast addresses)
- Subnet mask
255.255.0.0- Wildcard mask
0.0.255.255(Cisco ACLs, OSPF)- Prefix length
- /16
- Type
- Shared address space (CGNAT) 100.64.0.0/10
Used by providers behind carrier-grade NAT (RFC 6598) - Old class
- A (default /8)
- As numbers
- Hex
64620000· Integer1684144128to1684209663 - Reverse DNS zone
98.100.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01100100.01100010..00000000.00000000 | 100.98.0.0 |
| Subnet mask | 11111111.11111111..00000000.00000000 | 255.255.0.0 |
| Network | 01100100.01100010..00000000.00000000 | 100.98.0.0 |
| Broadcast | 01100100.01100010..11111111.11111111 | 100.98.255.255 |
Split into smaller subnets
/17 (2)/18 (4)/19 (8)/20 (16)/21 (32)/22 (64)/23 (128)/24 (256)/25 (512)/26 (1,024)/27 (2,048)/28 (4,096)
100.98.0.0/16 makes 256 subnets of /24.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 100.98.0.0/24 | 100.98.0.1 to 100.98.0.254 | 100.98.0.255 | 254 |
| 2 | 100.98.1.0/24 | 100.98.1.1 to 100.98.1.254 | 100.98.1.255 | 254 |
| 3 | 100.98.2.0/24 | 100.98.2.1 to 100.98.2.254 | 100.98.2.255 | 254 |
| 4 | 100.98.3.0/24 | 100.98.3.1 to 100.98.3.254 | 100.98.3.255 | 254 |
| 5 | 100.98.4.0/24 | 100.98.4.1 to 100.98.4.254 | 100.98.4.255 | 254 |
| 6 | 100.98.5.0/24 | 100.98.5.1 to 100.98.5.254 | 100.98.5.255 | 254 |
| 7 | 100.98.6.0/24 | 100.98.6.1 to 100.98.6.254 | 100.98.6.255 | 254 |
| 8 | 100.98.7.0/24 | 100.98.7.1 to 100.98.7.254 | 100.98.7.255 | 254 |
| 9 | 100.98.8.0/24 | 100.98.8.1 to 100.98.8.254 | 100.98.8.255 | 254 |
| 10 | 100.98.9.0/24 | 100.98.9.1 to 100.98.9.254 | 100.98.9.255 | 254 |
| 11 | 100.98.10.0/24 | 100.98.10.1 to 100.98.10.254 | 100.98.10.255 | 254 |
| 12 | 100.98.11.0/24 | 100.98.11.1 to 100.98.11.254 | 100.98.11.255 | 254 |
| 13 | 100.98.12.0/24 | 100.98.12.1 to 100.98.12.254 | 100.98.12.255 | 254 |
| 14 | 100.98.13.0/24 | 100.98.13.1 to 100.98.13.254 | 100.98.13.255 | 254 |
| 15 | 100.98.14.0/24 | 100.98.14.1 to 100.98.14.254 | 100.98.14.255 | 254 |
| 16 | 100.98.15.0/24 | 100.98.15.1 to 100.98.15.254 | 100.98.15.255 | 254 |
| 17 | 100.98.16.0/24 | 100.98.16.1 to 100.98.16.254 | 100.98.16.255 | 254 |
| 18 | 100.98.17.0/24 | 100.98.17.1 to 100.98.17.254 | 100.98.17.255 | 254 |
| 19 | 100.98.18.0/24 | 100.98.18.1 to 100.98.18.254 | 100.98.18.255 | 254 |
| 20 | 100.98.19.0/24 | 100.98.19.1 to 100.98.19.254 | 100.98.19.255 | 254 |
| 21 | 100.98.20.0/24 | 100.98.20.1 to 100.98.20.254 | 100.98.20.255 | 254 |
| 22 | 100.98.21.0/24 | 100.98.21.1 to 100.98.21.254 | 100.98.21.255 | 254 |
| 23 | 100.98.22.0/24 | 100.98.22.1 to 100.98.22.254 | 100.98.22.255 | 254 |
| 24 | 100.98.23.0/24 | 100.98.23.1 to 100.98.23.254 | 100.98.23.255 | 254 |
| 25 | 100.98.24.0/24 | 100.98.24.1 to 100.98.24.254 | 100.98.24.255 | 254 |
| 26 | 100.98.25.0/24 | 100.98.25.1 to 100.98.25.254 | 100.98.25.255 | 254 |
| 27 | 100.98.26.0/24 | 100.98.26.1 to 100.98.26.254 | 100.98.26.255 | 254 |
| 28 | 100.98.27.0/24 | 100.98.27.1 to 100.98.27.254 | 100.98.27.255 | 254 |
| 29 | 100.98.28.0/24 | 100.98.28.1 to 100.98.28.254 | 100.98.28.255 | 254 |
| 30 | 100.98.29.0/24 | 100.98.29.1 to 100.98.29.254 | 100.98.29.255 | 254 |
| 31 | 100.98.30.0/24 | 100.98.30.1 to 100.98.30.254 | 100.98.30.255 | 254 |
| 32 | 100.98.31.0/24 | 100.98.31.1 to 100.98.31.254 | 100.98.31.255 | 254 |
| 33 | 100.98.32.0/24 | 100.98.32.1 to 100.98.32.254 | 100.98.32.255 | 254 |
| 34 | 100.98.33.0/24 | 100.98.33.1 to 100.98.33.254 | 100.98.33.255 | 254 |
| 35 | 100.98.34.0/24 | 100.98.34.1 to 100.98.34.254 | 100.98.34.255 | 254 |
| 36 | 100.98.35.0/24 | 100.98.35.1 to 100.98.35.254 | 100.98.35.255 | 254 |
| 37 | 100.98.36.0/24 | 100.98.36.1 to 100.98.36.254 | 100.98.36.255 | 254 |
| 38 | 100.98.37.0/24 | 100.98.37.1 to 100.98.37.254 | 100.98.37.255 | 254 |
| 39 | 100.98.38.0/24 | 100.98.38.1 to 100.98.38.254 | 100.98.38.255 | 254 |
| 40 | 100.98.39.0/24 | 100.98.39.1 to 100.98.39.254 | 100.98.39.255 | 254 |
| 41 | 100.98.40.0/24 | 100.98.40.1 to 100.98.40.254 | 100.98.40.255 | 254 |
| 42 | 100.98.41.0/24 | 100.98.41.1 to 100.98.41.254 | 100.98.41.255 | 254 |
| 43 | 100.98.42.0/24 | 100.98.42.1 to 100.98.42.254 | 100.98.42.255 | 254 |
| 44 | 100.98.43.0/24 | 100.98.43.1 to 100.98.43.254 | 100.98.43.255 | 254 |
| 45 | 100.98.44.0/24 | 100.98.44.1 to 100.98.44.254 | 100.98.44.255 | 254 |
| 46 | 100.98.45.0/24 | 100.98.45.1 to 100.98.45.254 | 100.98.45.255 | 254 |
| 47 | 100.98.46.0/24 | 100.98.46.1 to 100.98.46.254 | 100.98.46.255 | 254 |
| 48 | 100.98.47.0/24 | 100.98.47.1 to 100.98.47.254 | 100.98.47.255 | 254 |
| 49 | 100.98.48.0/24 | 100.98.48.1 to 100.98.48.254 | 100.98.48.255 | 254 |
| 50 | 100.98.49.0/24 | 100.98.49.1 to 100.98.49.254 | 100.98.49.255 | 254 |
| 51 | 100.98.50.0/24 | 100.98.50.1 to 100.98.50.254 | 100.98.50.255 | 254 |
| 52 | 100.98.51.0/24 | 100.98.51.1 to 100.98.51.254 | 100.98.51.255 | 254 |
| 53 | 100.98.52.0/24 | 100.98.52.1 to 100.98.52.254 | 100.98.52.255 | 254 |
| 54 | 100.98.53.0/24 | 100.98.53.1 to 100.98.53.254 | 100.98.53.255 | 254 |
| 55 | 100.98.54.0/24 | 100.98.54.1 to 100.98.54.254 | 100.98.54.255 | 254 |
| 56 | 100.98.55.0/24 | 100.98.55.1 to 100.98.55.254 | 100.98.55.255 | 254 |
| 57 | 100.98.56.0/24 | 100.98.56.1 to 100.98.56.254 | 100.98.56.255 | 254 |
| 58 | 100.98.57.0/24 | 100.98.57.1 to 100.98.57.254 | 100.98.57.255 | 254 |
| 59 | 100.98.58.0/24 | 100.98.58.1 to 100.98.58.254 | 100.98.58.255 | 254 |
| 60 | 100.98.59.0/24 | 100.98.59.1 to 100.98.59.254 | 100.98.59.255 | 254 |
| 61 | 100.98.60.0/24 | 100.98.60.1 to 100.98.60.254 | 100.98.60.255 | 254 |
| 62 | 100.98.61.0/24 | 100.98.61.1 to 100.98.61.254 | 100.98.61.255 | 254 |
| 63 | 100.98.62.0/24 | 100.98.62.1 to 100.98.62.254 | 100.98.62.255 | 254 |
| 64 | 100.98.63.0/24 | 100.98.63.1 to 100.98.63.254 | 100.98.63.255 | 254 |
| 65 | 100.98.64.0/24 | 100.98.64.1 to 100.98.64.254 | 100.98.64.255 | 254 |
| 66 | 100.98.65.0/24 | 100.98.65.1 to 100.98.65.254 | 100.98.65.255 | 254 |
| 67 | 100.98.66.0/24 | 100.98.66.1 to 100.98.66.254 | 100.98.66.255 | 254 |
| 68 | 100.98.67.0/24 | 100.98.67.1 to 100.98.67.254 | 100.98.67.255 | 254 |
| 69 | 100.98.68.0/24 | 100.98.68.1 to 100.98.68.254 | 100.98.68.255 | 254 |
| 70 | 100.98.69.0/24 | 100.98.69.1 to 100.98.69.254 | 100.98.69.255 | 254 |
| 71 | 100.98.70.0/24 | 100.98.70.1 to 100.98.70.254 | 100.98.70.255 | 254 |
| 72 | 100.98.71.0/24 | 100.98.71.1 to 100.98.71.254 | 100.98.71.255 | 254 |
| 73 | 100.98.72.0/24 | 100.98.72.1 to 100.98.72.254 | 100.98.72.255 | 254 |
| 74 | 100.98.73.0/24 | 100.98.73.1 to 100.98.73.254 | 100.98.73.255 | 254 |
| 75 | 100.98.74.0/24 | 100.98.74.1 to 100.98.74.254 | 100.98.74.255 | 254 |
| 76 | 100.98.75.0/24 | 100.98.75.1 to 100.98.75.254 | 100.98.75.255 | 254 |
| 77 | 100.98.76.0/24 | 100.98.76.1 to 100.98.76.254 | 100.98.76.255 | 254 |
| 78 | 100.98.77.0/24 | 100.98.77.1 to 100.98.77.254 | 100.98.77.255 | 254 |
| 79 | 100.98.78.0/24 | 100.98.78.1 to 100.98.78.254 | 100.98.78.255 | 254 |
| 80 | 100.98.79.0/24 | 100.98.79.1 to 100.98.79.254 | 100.98.79.255 | 254 |
| 81 | 100.98.80.0/24 | 100.98.80.1 to 100.98.80.254 | 100.98.80.255 | 254 |
| 82 | 100.98.81.0/24 | 100.98.81.1 to 100.98.81.254 | 100.98.81.255 | 254 |
| 83 | 100.98.82.0/24 | 100.98.82.1 to 100.98.82.254 | 100.98.82.255 | 254 |
| 84 | 100.98.83.0/24 | 100.98.83.1 to 100.98.83.254 | 100.98.83.255 | 254 |
| 85 | 100.98.84.0/24 | 100.98.84.1 to 100.98.84.254 | 100.98.84.255 | 254 |
| 86 | 100.98.85.0/24 | 100.98.85.1 to 100.98.85.254 | 100.98.85.255 | 254 |
| 87 | 100.98.86.0/24 | 100.98.86.1 to 100.98.86.254 | 100.98.86.255 | 254 |
| 88 | 100.98.87.0/24 | 100.98.87.1 to 100.98.87.254 | 100.98.87.255 | 254 |
| 89 | 100.98.88.0/24 | 100.98.88.1 to 100.98.88.254 | 100.98.88.255 | 254 |
| 90 | 100.98.89.0/24 | 100.98.89.1 to 100.98.89.254 | 100.98.89.255 | 254 |
| 91 | 100.98.90.0/24 | 100.98.90.1 to 100.98.90.254 | 100.98.90.255 | 254 |
| 92 | 100.98.91.0/24 | 100.98.91.1 to 100.98.91.254 | 100.98.91.255 | 254 |
| 93 | 100.98.92.0/24 | 100.98.92.1 to 100.98.92.254 | 100.98.92.255 | 254 |
| 94 | 100.98.93.0/24 | 100.98.93.1 to 100.98.93.254 | 100.98.93.255 | 254 |
| 95 | 100.98.94.0/24 | 100.98.94.1 to 100.98.94.254 | 100.98.94.255 | 254 |
| 96 | 100.98.95.0/24 | 100.98.95.1 to 100.98.95.254 | 100.98.95.255 | 254 |
| 97 | 100.98.96.0/24 | 100.98.96.1 to 100.98.96.254 | 100.98.96.255 | 254 |
| 98 | 100.98.97.0/24 | 100.98.97.1 to 100.98.97.254 | 100.98.97.255 | 254 |
| 99 | 100.98.98.0/24 | 100.98.98.1 to 100.98.98.254 | 100.98.98.255 | 254 |
| 100 | 100.98.99.0/24 | 100.98.99.1 to 100.98.99.254 | 100.98.99.255 | 254 |
| 101 | 100.98.100.0/24 | 100.98.100.1 to 100.98.100.254 | 100.98.100.255 | 254 |
| 102 | 100.98.101.0/24 | 100.98.101.1 to 100.98.101.254 | 100.98.101.255 | 254 |
| 103 | 100.98.102.0/24 | 100.98.102.1 to 100.98.102.254 | 100.98.102.255 | 254 |
| 104 | 100.98.103.0/24 | 100.98.103.1 to 100.98.103.254 | 100.98.103.255 | 254 |
| 105 | 100.98.104.0/24 | 100.98.104.1 to 100.98.104.254 | 100.98.104.255 | 254 |
| 106 | 100.98.105.0/24 | 100.98.105.1 to 100.98.105.254 | 100.98.105.255 | 254 |
| 107 | 100.98.106.0/24 | 100.98.106.1 to 100.98.106.254 | 100.98.106.255 | 254 |
| 108 | 100.98.107.0/24 | 100.98.107.1 to 100.98.107.254 | 100.98.107.255 | 254 |
| 109 | 100.98.108.0/24 | 100.98.108.1 to 100.98.108.254 | 100.98.108.255 | 254 |
| 110 | 100.98.109.0/24 | 100.98.109.1 to 100.98.109.254 | 100.98.109.255 | 254 |
| 111 | 100.98.110.0/24 | 100.98.110.1 to 100.98.110.254 | 100.98.110.255 | 254 |
| 112 | 100.98.111.0/24 | 100.98.111.1 to 100.98.111.254 | 100.98.111.255 | 254 |
| 113 | 100.98.112.0/24 | 100.98.112.1 to 100.98.112.254 | 100.98.112.255 | 254 |
| 114 | 100.98.113.0/24 | 100.98.113.1 to 100.98.113.254 | 100.98.113.255 | 254 |
| 115 | 100.98.114.0/24 | 100.98.114.1 to 100.98.114.254 | 100.98.114.255 | 254 |
| 116 | 100.98.115.0/24 | 100.98.115.1 to 100.98.115.254 | 100.98.115.255 | 254 |
| 117 | 100.98.116.0/24 | 100.98.116.1 to 100.98.116.254 | 100.98.116.255 | 254 |
| 118 | 100.98.117.0/24 | 100.98.117.1 to 100.98.117.254 | 100.98.117.255 | 254 |
| 119 | 100.98.118.0/24 | 100.98.118.1 to 100.98.118.254 | 100.98.118.255 | 254 |
| 120 | 100.98.119.0/24 | 100.98.119.1 to 100.98.119.254 | 100.98.119.255 | 254 |
| 121 | 100.98.120.0/24 | 100.98.120.1 to 100.98.120.254 | 100.98.120.255 | 254 |
| 122 | 100.98.121.0/24 | 100.98.121.1 to 100.98.121.254 | 100.98.121.255 | 254 |
| 123 | 100.98.122.0/24 | 100.98.122.1 to 100.98.122.254 | 100.98.122.255 | 254 |
| 124 | 100.98.123.0/24 | 100.98.123.1 to 100.98.123.254 | 100.98.123.255 | 254 |
| 125 | 100.98.124.0/24 | 100.98.124.1 to 100.98.124.254 | 100.98.124.255 | 254 |
| 126 | 100.98.125.0/24 | 100.98.125.1 to 100.98.125.254 | 100.98.125.255 | 254 |
| 127 | 100.98.126.0/24 | 100.98.126.1 to 100.98.126.254 | 100.98.126.255 | 254 |
| 128 | 100.98.127.0/24 | 100.98.127.1 to 100.98.127.254 | 100.98.127.255 | 254 |
| 129 | 100.98.128.0/24 | 100.98.128.1 to 100.98.128.254 | 100.98.128.255 | 254 |
| 130 | 100.98.129.0/24 | 100.98.129.1 to 100.98.129.254 | 100.98.129.255 | 254 |
| 131 | 100.98.130.0/24 | 100.98.130.1 to 100.98.130.254 | 100.98.130.255 | 254 |
| 132 | 100.98.131.0/24 | 100.98.131.1 to 100.98.131.254 | 100.98.131.255 | 254 |
| 133 | 100.98.132.0/24 | 100.98.132.1 to 100.98.132.254 | 100.98.132.255 | 254 |
| 134 | 100.98.133.0/24 | 100.98.133.1 to 100.98.133.254 | 100.98.133.255 | 254 |
| 135 | 100.98.134.0/24 | 100.98.134.1 to 100.98.134.254 | 100.98.134.255 | 254 |
| 136 | 100.98.135.0/24 | 100.98.135.1 to 100.98.135.254 | 100.98.135.255 | 254 |
| 137 | 100.98.136.0/24 | 100.98.136.1 to 100.98.136.254 | 100.98.136.255 | 254 |
| 138 | 100.98.137.0/24 | 100.98.137.1 to 100.98.137.254 | 100.98.137.255 | 254 |
| 139 | 100.98.138.0/24 | 100.98.138.1 to 100.98.138.254 | 100.98.138.255 | 254 |
| 140 | 100.98.139.0/24 | 100.98.139.1 to 100.98.139.254 | 100.98.139.255 | 254 |
| 141 | 100.98.140.0/24 | 100.98.140.1 to 100.98.140.254 | 100.98.140.255 | 254 |
| 142 | 100.98.141.0/24 | 100.98.141.1 to 100.98.141.254 | 100.98.141.255 | 254 |
| 143 | 100.98.142.0/24 | 100.98.142.1 to 100.98.142.254 | 100.98.142.255 | 254 |
| 144 | 100.98.143.0/24 | 100.98.143.1 to 100.98.143.254 | 100.98.143.255 | 254 |
| 145 | 100.98.144.0/24 | 100.98.144.1 to 100.98.144.254 | 100.98.144.255 | 254 |
| 146 | 100.98.145.0/24 | 100.98.145.1 to 100.98.145.254 | 100.98.145.255 | 254 |
| 147 | 100.98.146.0/24 | 100.98.146.1 to 100.98.146.254 | 100.98.146.255 | 254 |
| 148 | 100.98.147.0/24 | 100.98.147.1 to 100.98.147.254 | 100.98.147.255 | 254 |
| 149 | 100.98.148.0/24 | 100.98.148.1 to 100.98.148.254 | 100.98.148.255 | 254 |
| 150 | 100.98.149.0/24 | 100.98.149.1 to 100.98.149.254 | 100.98.149.255 | 254 |
| 151 | 100.98.150.0/24 | 100.98.150.1 to 100.98.150.254 | 100.98.150.255 | 254 |
| 152 | 100.98.151.0/24 | 100.98.151.1 to 100.98.151.254 | 100.98.151.255 | 254 |
| 153 | 100.98.152.0/24 | 100.98.152.1 to 100.98.152.254 | 100.98.152.255 | 254 |
| 154 | 100.98.153.0/24 | 100.98.153.1 to 100.98.153.254 | 100.98.153.255 | 254 |
| 155 | 100.98.154.0/24 | 100.98.154.1 to 100.98.154.254 | 100.98.154.255 | 254 |
| 156 | 100.98.155.0/24 | 100.98.155.1 to 100.98.155.254 | 100.98.155.255 | 254 |
| 157 | 100.98.156.0/24 | 100.98.156.1 to 100.98.156.254 | 100.98.156.255 | 254 |
| 158 | 100.98.157.0/24 | 100.98.157.1 to 100.98.157.254 | 100.98.157.255 | 254 |
| 159 | 100.98.158.0/24 | 100.98.158.1 to 100.98.158.254 | 100.98.158.255 | 254 |
| 160 | 100.98.159.0/24 | 100.98.159.1 to 100.98.159.254 | 100.98.159.255 | 254 |
| 161 | 100.98.160.0/24 | 100.98.160.1 to 100.98.160.254 | 100.98.160.255 | 254 |
| 162 | 100.98.161.0/24 | 100.98.161.1 to 100.98.161.254 | 100.98.161.255 | 254 |
| 163 | 100.98.162.0/24 | 100.98.162.1 to 100.98.162.254 | 100.98.162.255 | 254 |
| 164 | 100.98.163.0/24 | 100.98.163.1 to 100.98.163.254 | 100.98.163.255 | 254 |
| 165 | 100.98.164.0/24 | 100.98.164.1 to 100.98.164.254 | 100.98.164.255 | 254 |
| 166 | 100.98.165.0/24 | 100.98.165.1 to 100.98.165.254 | 100.98.165.255 | 254 |
| 167 | 100.98.166.0/24 | 100.98.166.1 to 100.98.166.254 | 100.98.166.255 | 254 |
| 168 | 100.98.167.0/24 | 100.98.167.1 to 100.98.167.254 | 100.98.167.255 | 254 |
| 169 | 100.98.168.0/24 | 100.98.168.1 to 100.98.168.254 | 100.98.168.255 | 254 |
| 170 | 100.98.169.0/24 | 100.98.169.1 to 100.98.169.254 | 100.98.169.255 | 254 |
| 171 | 100.98.170.0/24 | 100.98.170.1 to 100.98.170.254 | 100.98.170.255 | 254 |
| 172 | 100.98.171.0/24 | 100.98.171.1 to 100.98.171.254 | 100.98.171.255 | 254 |
| 173 | 100.98.172.0/24 | 100.98.172.1 to 100.98.172.254 | 100.98.172.255 | 254 |
| 174 | 100.98.173.0/24 | 100.98.173.1 to 100.98.173.254 | 100.98.173.255 | 254 |
| 175 | 100.98.174.0/24 | 100.98.174.1 to 100.98.174.254 | 100.98.174.255 | 254 |
| 176 | 100.98.175.0/24 | 100.98.175.1 to 100.98.175.254 | 100.98.175.255 | 254 |
| 177 | 100.98.176.0/24 | 100.98.176.1 to 100.98.176.254 | 100.98.176.255 | 254 |
| 178 | 100.98.177.0/24 | 100.98.177.1 to 100.98.177.254 | 100.98.177.255 | 254 |
| 179 | 100.98.178.0/24 | 100.98.178.1 to 100.98.178.254 | 100.98.178.255 | 254 |
| 180 | 100.98.179.0/24 | 100.98.179.1 to 100.98.179.254 | 100.98.179.255 | 254 |
| 181 | 100.98.180.0/24 | 100.98.180.1 to 100.98.180.254 | 100.98.180.255 | 254 |
| 182 | 100.98.181.0/24 | 100.98.181.1 to 100.98.181.254 | 100.98.181.255 | 254 |
| 183 | 100.98.182.0/24 | 100.98.182.1 to 100.98.182.254 | 100.98.182.255 | 254 |
| 184 | 100.98.183.0/24 | 100.98.183.1 to 100.98.183.254 | 100.98.183.255 | 254 |
| 185 | 100.98.184.0/24 | 100.98.184.1 to 100.98.184.254 | 100.98.184.255 | 254 |
| 186 | 100.98.185.0/24 | 100.98.185.1 to 100.98.185.254 | 100.98.185.255 | 254 |
| 187 | 100.98.186.0/24 | 100.98.186.1 to 100.98.186.254 | 100.98.186.255 | 254 |
| 188 | 100.98.187.0/24 | 100.98.187.1 to 100.98.187.254 | 100.98.187.255 | 254 |
| 189 | 100.98.188.0/24 | 100.98.188.1 to 100.98.188.254 | 100.98.188.255 | 254 |
| 190 | 100.98.189.0/24 | 100.98.189.1 to 100.98.189.254 | 100.98.189.255 | 254 |
| 191 | 100.98.190.0/24 | 100.98.190.1 to 100.98.190.254 | 100.98.190.255 | 254 |
| 192 | 100.98.191.0/24 | 100.98.191.1 to 100.98.191.254 | 100.98.191.255 | 254 |
| 193 | 100.98.192.0/24 | 100.98.192.1 to 100.98.192.254 | 100.98.192.255 | 254 |
| 194 | 100.98.193.0/24 | 100.98.193.1 to 100.98.193.254 | 100.98.193.255 | 254 |
| 195 | 100.98.194.0/24 | 100.98.194.1 to 100.98.194.254 | 100.98.194.255 | 254 |
| 196 | 100.98.195.0/24 | 100.98.195.1 to 100.98.195.254 | 100.98.195.255 | 254 |
| 197 | 100.98.196.0/24 | 100.98.196.1 to 100.98.196.254 | 100.98.196.255 | 254 |
| 198 | 100.98.197.0/24 | 100.98.197.1 to 100.98.197.254 | 100.98.197.255 | 254 |
| 199 | 100.98.198.0/24 | 100.98.198.1 to 100.98.198.254 | 100.98.198.255 | 254 |
| 200 | 100.98.199.0/24 | 100.98.199.1 to 100.98.199.254 | 100.98.199.255 | 254 |
| 201 | 100.98.200.0/24 | 100.98.200.1 to 100.98.200.254 | 100.98.200.255 | 254 |
| 202 | 100.98.201.0/24 | 100.98.201.1 to 100.98.201.254 | 100.98.201.255 | 254 |
| 203 | 100.98.202.0/24 | 100.98.202.1 to 100.98.202.254 | 100.98.202.255 | 254 |
| 204 | 100.98.203.0/24 | 100.98.203.1 to 100.98.203.254 | 100.98.203.255 | 254 |
| 205 | 100.98.204.0/24 | 100.98.204.1 to 100.98.204.254 | 100.98.204.255 | 254 |
| 206 | 100.98.205.0/24 | 100.98.205.1 to 100.98.205.254 | 100.98.205.255 | 254 |
| 207 | 100.98.206.0/24 | 100.98.206.1 to 100.98.206.254 | 100.98.206.255 | 254 |
| 208 | 100.98.207.0/24 | 100.98.207.1 to 100.98.207.254 | 100.98.207.255 | 254 |
| 209 | 100.98.208.0/24 | 100.98.208.1 to 100.98.208.254 | 100.98.208.255 | 254 |
| 210 | 100.98.209.0/24 | 100.98.209.1 to 100.98.209.254 | 100.98.209.255 | 254 |
| 211 | 100.98.210.0/24 | 100.98.210.1 to 100.98.210.254 | 100.98.210.255 | 254 |
| 212 | 100.98.211.0/24 | 100.98.211.1 to 100.98.211.254 | 100.98.211.255 | 254 |
| 213 | 100.98.212.0/24 | 100.98.212.1 to 100.98.212.254 | 100.98.212.255 | 254 |
| 214 | 100.98.213.0/24 | 100.98.213.1 to 100.98.213.254 | 100.98.213.255 | 254 |
| 215 | 100.98.214.0/24 | 100.98.214.1 to 100.98.214.254 | 100.98.214.255 | 254 |
| 216 | 100.98.215.0/24 | 100.98.215.1 to 100.98.215.254 | 100.98.215.255 | 254 |
| 217 | 100.98.216.0/24 | 100.98.216.1 to 100.98.216.254 | 100.98.216.255 | 254 |
| 218 | 100.98.217.0/24 | 100.98.217.1 to 100.98.217.254 | 100.98.217.255 | 254 |
| 219 | 100.98.218.0/24 | 100.98.218.1 to 100.98.218.254 | 100.98.218.255 | 254 |
| 220 | 100.98.219.0/24 | 100.98.219.1 to 100.98.219.254 | 100.98.219.255 | 254 |
| 221 | 100.98.220.0/24 | 100.98.220.1 to 100.98.220.254 | 100.98.220.255 | 254 |
| 222 | 100.98.221.0/24 | 100.98.221.1 to 100.98.221.254 | 100.98.221.255 | 254 |
| 223 | 100.98.222.0/24 | 100.98.222.1 to 100.98.222.254 | 100.98.222.255 | 254 |
| 224 | 100.98.223.0/24 | 100.98.223.1 to 100.98.223.254 | 100.98.223.255 | 254 |
| 225 | 100.98.224.0/24 | 100.98.224.1 to 100.98.224.254 | 100.98.224.255 | 254 |
| 226 | 100.98.225.0/24 | 100.98.225.1 to 100.98.225.254 | 100.98.225.255 | 254 |
| 227 | 100.98.226.0/24 | 100.98.226.1 to 100.98.226.254 | 100.98.226.255 | 254 |
| 228 | 100.98.227.0/24 | 100.98.227.1 to 100.98.227.254 | 100.98.227.255 | 254 |
| 229 | 100.98.228.0/24 | 100.98.228.1 to 100.98.228.254 | 100.98.228.255 | 254 |
| 230 | 100.98.229.0/24 | 100.98.229.1 to 100.98.229.254 | 100.98.229.255 | 254 |
| 231 | 100.98.230.0/24 | 100.98.230.1 to 100.98.230.254 | 100.98.230.255 | 254 |
| 232 | 100.98.231.0/24 | 100.98.231.1 to 100.98.231.254 | 100.98.231.255 | 254 |
| 233 | 100.98.232.0/24 | 100.98.232.1 to 100.98.232.254 | 100.98.232.255 | 254 |
| 234 | 100.98.233.0/24 | 100.98.233.1 to 100.98.233.254 | 100.98.233.255 | 254 |
| 235 | 100.98.234.0/24 | 100.98.234.1 to 100.98.234.254 | 100.98.234.255 | 254 |
| 236 | 100.98.235.0/24 | 100.98.235.1 to 100.98.235.254 | 100.98.235.255 | 254 |
| 237 | 100.98.236.0/24 | 100.98.236.1 to 100.98.236.254 | 100.98.236.255 | 254 |
| 238 | 100.98.237.0/24 | 100.98.237.1 to 100.98.237.254 | 100.98.237.255 | 254 |
| 239 | 100.98.238.0/24 | 100.98.238.1 to 100.98.238.254 | 100.98.238.255 | 254 |
| 240 | 100.98.239.0/24 | 100.98.239.1 to 100.98.239.254 | 100.98.239.255 | 254 |
| 241 | 100.98.240.0/24 | 100.98.240.1 to 100.98.240.254 | 100.98.240.255 | 254 |
| 242 | 100.98.241.0/24 | 100.98.241.1 to 100.98.241.254 | 100.98.241.255 | 254 |
| 243 | 100.98.242.0/24 | 100.98.242.1 to 100.98.242.254 | 100.98.242.255 | 254 |
| 244 | 100.98.243.0/24 | 100.98.243.1 to 100.98.243.254 | 100.98.243.255 | 254 |
| 245 | 100.98.244.0/24 | 100.98.244.1 to 100.98.244.254 | 100.98.244.255 | 254 |
| 246 | 100.98.245.0/24 | 100.98.245.1 to 100.98.245.254 | 100.98.245.255 | 254 |
| 247 | 100.98.246.0/24 | 100.98.246.1 to 100.98.246.254 | 100.98.246.255 | 254 |
| 248 | 100.98.247.0/24 | 100.98.247.1 to 100.98.247.254 | 100.98.247.255 | 254 |
| 249 | 100.98.248.0/24 | 100.98.248.1 to 100.98.248.254 | 100.98.248.255 | 254 |
| 250 | 100.98.249.0/24 | 100.98.249.1 to 100.98.249.254 | 100.98.249.255 | 254 |
| 251 | 100.98.250.0/24 | 100.98.250.1 to 100.98.250.254 | 100.98.250.255 | 254 |
| 252 | 100.98.251.0/24 | 100.98.251.1 to 100.98.251.254 | 100.98.251.255 | 254 |
| 253 | 100.98.252.0/24 | 100.98.252.1 to 100.98.252.254 | 100.98.252.255 | 254 |
| 254 | 100.98.253.0/24 | 100.98.253.1 to 100.98.253.254 | 100.98.253.255 | 254 |
| 255 | 100.98.254.0/24 | 100.98.254.1 to 100.98.254.254 | 100.98.254.255 | 254 |
| 256 | 100.98.255.0/24 | 100.98.255.1 to 100.98.255.254 | 100.98.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |